Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.mdi
Class MDIConfig

    java.lang.Object
      org.gjt.jclasslib.mdi.MDIConfig

public class MDIConfig
extends Object

Serializable configuration object for the window state of an MDI frame.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 07:59:17 $
Author:
  Ingo Kegel

Nested Class Summary
`static class` | `MDIConfig.InternalFrameDesc` Serializable description object for the state of an internal frame.

Constructor Summary
`MDIConfig()`

Method Summary
`MDIConfig.InternalFrameDesc` | `getActiveFrameDesc()` Get the internal frame description of the active internal frame.
`List` | `getInternalFrameDescs()` Get the list of internal frame descriptions.
`void` | `setActiveFrameDesc(MDIConfig.InternalFrameDesc activeFrameDesc)` Set the internal frame description of the active internal frame.
`void` | `setInternalFrameDescs(List internalFrameDescs)` Set the list of internal frame descriptions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MDIConfig

    public MDIConfig()

Method Detail

### getInternalFrameDescs

    public List getInternalFrameDescs()

  Get the list of internal frame descriptions.

  Returns:
    the list.

### setInternalFrameDescs

    public void setInternalFrameDescs(List internalFrameDescs)

  Set the list of internal frame descriptions.

  Parameters:
    `internalFrameDescs` - the list.

### getActiveFrameDesc

    public MDIConfig.InternalFrameDesc getActiveFrameDesc()

  Get the internal frame description of the active internal frame.

  Returns:
    the internal frame description.

### setActiveFrameDesc

    public void setActiveFrameDesc(MDIConfig.InternalFrameDesc activeFrameDesc)

  Set the internal frame description of the active internal frame.

  Parameters:
    `activeFrameDesc` - the internal frame description.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD